/*******************************************************************************
 * Copyright (c) 2016 ALL4TEC & CEA LIST.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     ALL4TEC & CEA LIST - initial API and implementation
 *******************************************************************************/
/**
 */
package org.polarsys.esf.esffmea.impl;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

import org.eclipse.emf.ecore.impl.EPackageImpl;

import org.eclipse.uml2.types.TypesPackage;

import org.eclipse.uml2.uml.UMLPackage;

import org.polarsys.esf.esfarchitectureconcepts.IESFArchitectureConceptsPackage;

import org.polarsys.esf.esfcore.IESFCorePackage;

import org.polarsys.esf.esffmea.IAbstractSEventEffectFMEA;
import org.polarsys.esf.esffmea.IAbstractSFMEAElement;
import org.polarsys.esf.esffmea.IESFFMEAFactory;
import org.polarsys.esf.esffmea.IESFFMEAPackage;
import org.polarsys.esf.esffmea.ISBlockFMEA;
import org.polarsys.esf.esffmea.ISCauseFMEA;
import org.polarsys.esf.esffmea.ISCustomerEffectFMEA;
import org.polarsys.esf.esffmea.ISFMEA;
import org.polarsys.esf.esffmea.ISFailureModeFMEA;
import org.polarsys.esf.esffmea.ISLocalEffectFMEA;
import org.polarsys.esf.esffmea.ISPreventiveActionFMEA;
import org.polarsys.esf.esffmea.ISSytemEffectFMEA;

import org.polarsys.esf.esfproperties.IESFPropertiesPackage;

import org.polarsys.esf.esfsafetyconcepts.IESFSafetyConceptsPackage;

import org.polarsys.esf.esfsafetyconcepts.sdysfuctions.ISDysfunctionsPackage;

import org.polarsys.esf.esfsafetyconcepts.srecommendations.ISRecommendationsPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class ESFFMEAPackage extends EPackageImpl implements IESFFMEAPackage {
    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    private EClass sfmeaEClass = null;

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    private EClass abstractSFMEAElementEClass = null;

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    private EClass sBlockFMEAEClass = null;

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    private EClass sFailureModeFMEAEClass = null;

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    private EClass sPreventiveActionFMEAEClass = null;

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    private EClass sCauseFMEAEClass = null;

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    private EClass sSytemEffectFMEAEClass = null;

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    private EClass abstractSEventEffectFMEAEClass = null;

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    private EClass sCustomerEffectFMEAEClass = null;

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    private EClass sLocalEffectFMEAEClass = null;

    /**
     * Creates an instance of the model <b>Package</b>, registered with
     * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
     * package URI value.
     * <p>Note: the correct way to create the package is via the static
     * factory method {@link #init init()}, which also performs
     * initialization of the package, or returns the registered package,
     * if one already exists.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.eclipse.emf.ecore.EPackage.Registry
     * @see org.polarsys.esf.esffmea.IESFFMEAPackage#eNS_URI
     * @see #init()
     * @generated
     */
    private ESFFMEAPackage() {
        super(eNS_URI, IESFFMEAFactory.eINSTANCE);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    private static boolean isInited = false;

    /**
     * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
     * 
     * <p>This method is used to initialize {@link IESFFMEAPackage#eINSTANCE} when that field is accessed.
     * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see #eNS_URI
     * @see #createPackageContents()
     * @see #initializePackageContents()
     * @generated
     */
    public static IESFFMEAPackage init() {
        if (isInited) return (IESFFMEAPackage)EPackage.Registry.INSTANCE.getEPackage(IESFFMEAPackage.eNS_URI);

        // Obtain or create and register package
        ESFFMEAPackage theESFFMEAPackage = (ESFFMEAPackage)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof ESFFMEAPackage ? EPackage.Registry.INSTANCE.get(eNS_URI) : new ESFFMEAPackage());

        isInited = true;

        // Initialize simple dependencies
        IESFArchitectureConceptsPackage.eINSTANCE.eClass();
        IESFSafetyConceptsPackage.eINSTANCE.eClass();

        // Create package meta-data objects
        theESFFMEAPackage.createPackageContents();

        // Initialize created meta-data
        theESFFMEAPackage.initializePackageContents();

        // Mark meta-data to indicate it can't be changed
        theESFFMEAPackage.freeze();

  
        // Update the registry and return the package
        EPackage.Registry.INSTANCE.put(IESFFMEAPackage.eNS_URI, theESFFMEAPackage);
        return theESFFMEAPackage;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EClass getSFMEA() {
        return sfmeaEClass;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFMEA_Base_Package() {
        return (EReference)sfmeaEClass.getEStructuralFeatures().get(0);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EClass getAbstractSFMEAElement() {
        return abstractSFMEAElementEClass;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EClass getSBlockFMEA() {
        return sBlockFMEAEClass;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSBlockFMEA_SBlock() {
        return (EReference)sBlockFMEAEClass.getEStructuralFeatures().get(0);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSBlockFMEA_Criticality() {
        return (EReference)sBlockFMEAEClass.getEStructuralFeatures().get(1);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EAttribute getSBlockFMEA_DiagnosticCoverage() {
        return (EAttribute)sBlockFMEAEClass.getEStructuralFeatures().get(2);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EAttribute getSBlockFMEA_Ssf() {
        return (EAttribute)sBlockFMEAEClass.getEStructuralFeatures().get(3);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSBlockFMEA_SFailureModeFMEA() {
        return (EReference)sBlockFMEAEClass.getEStructuralFeatures().get(4);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSBlockFMEA_Base_Class() {
        return (EReference)sBlockFMEAEClass.getEStructuralFeatures().get(5);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EClass getSFailureModeFMEA() {
        return sFailureModeFMEAEClass;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_SFailureMode() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(0);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EAttribute getSFailureModeFMEA_Remarks() {
        return (EAttribute)sFailureModeFMEAEClass.getEStructuralFeatures().get(1);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_Severity() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(2);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_InitialCriticality() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(3);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_FinalCriticality() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(4);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EAttribute getSFailureModeFMEA_IsSafe() {
        return (EAttribute)sFailureModeFMEAEClass.getEStructuralFeatures().get(5);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EAttribute getSFailureModeFMEA_Diagnostics() {
        return (EAttribute)sFailureModeFMEAEClass.getEStructuralFeatures().get(6);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EAttribute getSFailureModeFMEA_FailureRate() {
        return (EAttribute)sFailureModeFMEAEClass.getEStructuralFeatures().get(7);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_InitialCauseOccurence() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(8);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_FinalCauseOccurence() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(9);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_LocalEffectSeverity() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(10);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_SystemEffectSeverity() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(11);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_CustomerEffectSeverity() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(12);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EAttribute getSFailureModeFMEA_Diagnostic_coverage() {
        return (EAttribute)sFailureModeFMEAEClass.getEStructuralFeatures().get(13);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EAttribute getSFailureModeFMEA_Ssf() {
        return (EAttribute)sFailureModeFMEAEClass.getEStructuralFeatures().get(14);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EAttribute getSFailureModeFMEA_IsDetectable() {
        return (EAttribute)sFailureModeFMEAEClass.getEStructuralFeatures().get(15);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_Detectability() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(16);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_SPreventiveActionFMEA() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(17);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_SCauseFMEA() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(18);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_SSystemEffectFMEA() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(19);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_SCustomerEffectFMEA() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(20);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_SLocalEffectFMEA() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(21);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSFailureModeFMEA_Base_Property() {
        return (EReference)sFailureModeFMEAEClass.getEStructuralFeatures().get(22);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EClass getSPreventiveActionFMEA() {
        return sPreventiveActionFMEAEClass;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSPreventiveActionFMEA_SAction() {
        return (EReference)sPreventiveActionFMEAEClass.getEStructuralFeatures().get(0);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EAttribute getSPreventiveActionFMEA_Id() {
        return (EAttribute)sPreventiveActionFMEAEClass.getEStructuralFeatures().get(1);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSPreventiveActionFMEA_Base_Property() {
        return (EReference)sPreventiveActionFMEAEClass.getEStructuralFeatures().get(2);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EClass getSCauseFMEA() {
        return sCauseFMEAEClass;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSCauseFMEA_SCause() {
        return (EReference)sCauseFMEAEClass.getEStructuralFeatures().get(0);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EAttribute getSCauseFMEA_Id() {
        return (EAttribute)sCauseFMEAEClass.getEStructuralFeatures().get(1);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSCauseFMEA_InitialOccurence() {
        return (EReference)sCauseFMEAEClass.getEStructuralFeatures().get(2);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSCauseFMEA_FinalOccurence() {
        return (EReference)sCauseFMEAEClass.getEStructuralFeatures().get(3);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSCauseFMEA_Base_Property() {
        return (EReference)sCauseFMEAEClass.getEStructuralFeatures().get(4);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EClass getSSytemEffectFMEA() {
        return sSytemEffectFMEAEClass;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSSytemEffectFMEA_Base_Property() {
        return (EReference)sSytemEffectFMEAEClass.getEStructuralFeatures().get(0);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EClass getAbstractSEventEffectFMEA() {
        return abstractSEventEffectFMEAEClass;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getAbstractSEventEffectFMEA_SEffect() {
        return (EReference)abstractSEventEffectFMEAEClass.getEStructuralFeatures().get(0);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EAttribute getAbstractSEventEffectFMEA_Id() {
        return (EAttribute)abstractSEventEffectFMEAEClass.getEStructuralFeatures().get(1);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getAbstractSEventEffectFMEA_Severity() {
        return (EReference)abstractSEventEffectFMEAEClass.getEStructuralFeatures().get(2);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EClass getSCustomerEffectFMEA() {
        return sCustomerEffectFMEAEClass;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSCustomerEffectFMEA_Base_Property() {
        return (EReference)sCustomerEffectFMEAEClass.getEStructuralFeatures().get(0);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EClass getSLocalEffectFMEA() {
        return sLocalEffectFMEAEClass;
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public EReference getSLocalEffectFMEA_Base_Property() {
        return (EReference)sLocalEffectFMEAEClass.getEStructuralFeatures().get(0);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public IESFFMEAFactory getESFFMEAFactory() {
        return (IESFFMEAFactory)getEFactoryInstance();
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    private boolean isCreated = false;

    /**
     * Creates the meta-model objects for the package.  This method is
     * guarded to have no affect on any invocation but its first.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public void createPackageContents() {
        if (isCreated) return;
        isCreated = true;

        // Create classes and their features
        sfmeaEClass = createEClass(SFMEA);
        createEReference(sfmeaEClass, SFMEA__BASE_PACKAGE);

        abstractSFMEAElementEClass = createEClass(ABSTRACT_SFMEA_ELEMENT);

        sBlockFMEAEClass = createEClass(SBLOCK_FMEA);
        createEReference(sBlockFMEAEClass, SBLOCK_FMEA__SBLOCK);
        createEReference(sBlockFMEAEClass, SBLOCK_FMEA__CRITICALITY);
        createEAttribute(sBlockFMEAEClass, SBLOCK_FMEA__DIAGNOSTIC_COVERAGE);
        createEAttribute(sBlockFMEAEClass, SBLOCK_FMEA__SSF);
        createEReference(sBlockFMEAEClass, SBLOCK_FMEA__SFAILURE_MODE_FMEA);
        createEReference(sBlockFMEAEClass, SBLOCK_FMEA__BASE_CLASS);

        sFailureModeFMEAEClass = createEClass(SFAILURE_MODE_FMEA);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__SFAILURE_MODE);
        createEAttribute(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__REMARKS);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__SEVERITY);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__INITIAL_CRITICALITY);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__FINAL_CRITICALITY);
        createEAttribute(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__IS_SAFE);
        createEAttribute(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__DIAGNOSTICS);
        createEAttribute(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__FAILURE_RATE);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__INITIAL_CAUSE_OCCURENCE);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__FINAL_CAUSE_OCCURENCE);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__LOCAL_EFFECT_SEVERITY);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__SYSTEM_EFFECT_SEVERITY);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__CUSTOMER_EFFECT_SEVERITY);
        createEAttribute(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__DIAGNOSTIC_COVERAGE);
        createEAttribute(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__SSF);
        createEAttribute(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__IS_DETECTABLE);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__DETECTABILITY);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__SPREVENTIVE_ACTION_FMEA);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__SCAUSE_FMEA);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__SSYSTEM_EFFECT_FMEA);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__SCUSTOMER_EFFECT_FMEA);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__SLOCAL_EFFECT_FMEA);
        createEReference(sFailureModeFMEAEClass, SFAILURE_MODE_FMEA__BASE_PROPERTY);

        sPreventiveActionFMEAEClass = createEClass(SPREVENTIVE_ACTION_FMEA);
        createEReference(sPreventiveActionFMEAEClass, SPREVENTIVE_ACTION_FMEA__SACTION);
        createEAttribute(sPreventiveActionFMEAEClass, SPREVENTIVE_ACTION_FMEA__ID);
        createEReference(sPreventiveActionFMEAEClass, SPREVENTIVE_ACTION_FMEA__BASE_PROPERTY);

        sCauseFMEAEClass = createEClass(SCAUSE_FMEA);
        createEReference(sCauseFMEAEClass, SCAUSE_FMEA__SCAUSE);
        createEAttribute(sCauseFMEAEClass, SCAUSE_FMEA__ID);
        createEReference(sCauseFMEAEClass, SCAUSE_FMEA__INITIAL_OCCURENCE);
        createEReference(sCauseFMEAEClass, SCAUSE_FMEA__FINAL_OCCURENCE);
        createEReference(sCauseFMEAEClass, SCAUSE_FMEA__BASE_PROPERTY);

        sSytemEffectFMEAEClass = createEClass(SSYTEM_EFFECT_FMEA);
        createEReference(sSytemEffectFMEAEClass, SSYTEM_EFFECT_FMEA__BASE_PROPERTY);

        abstractSEventEffectFMEAEClass = createEClass(ABSTRACT_SEVENT_EFFECT_FMEA);
        createEReference(abstractSEventEffectFMEAEClass, ABSTRACT_SEVENT_EFFECT_FMEA__SEFFECT);
        createEAttribute(abstractSEventEffectFMEAEClass, ABSTRACT_SEVENT_EFFECT_FMEA__ID);
        createEReference(abstractSEventEffectFMEAEClass, ABSTRACT_SEVENT_EFFECT_FMEA__SEVERITY);

        sCustomerEffectFMEAEClass = createEClass(SCUSTOMER_EFFECT_FMEA);
        createEReference(sCustomerEffectFMEAEClass, SCUSTOMER_EFFECT_FMEA__BASE_PROPERTY);

        sLocalEffectFMEAEClass = createEClass(SLOCAL_EFFECT_FMEA);
        createEReference(sLocalEffectFMEAEClass, SLOCAL_EFFECT_FMEA__BASE_PROPERTY);
    }

    /**
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    private boolean isInitialized = false;

    /**
     * Complete the initialization of the package and its meta-model.  This
     * method is guarded to have no affect on any invocation but its first.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public void initializePackageContents() {
        if (isInitialized) return;
        isInitialized = true;

        // Initialize package
        setName(eNAME);
        setNsPrefix(eNS_PREFIX);
        setNsURI(eNS_URI);

        // Obtain other dependent packages
        IESFCorePackage theESFCorePackage = (IESFCorePackage)EPackage.Registry.INSTANCE.getEPackage(IESFCorePackage.eNS_URI);
        UMLPackage theUMLPackage = (UMLPackage)EPackage.Registry.INSTANCE.getEPackage(UMLPackage.eNS_URI);
        IESFArchitectureConceptsPackage theESFArchitectureConceptsPackage = (IESFArchitectureConceptsPackage)EPackage.Registry.INSTANCE.getEPackage(IESFArchitectureConceptsPackage.eNS_URI);
        IESFPropertiesPackage theESFPropertiesPackage = (IESFPropertiesPackage)EPackage.Registry.INSTANCE.getEPackage(IESFPropertiesPackage.eNS_URI);
        TypesPackage theTypesPackage = (TypesPackage)EPackage.Registry.INSTANCE.getEPackage(TypesPackage.eNS_URI);
        ISDysfunctionsPackage theSDysfunctionsPackage = (ISDysfunctionsPackage)EPackage.Registry.INSTANCE.getEPackage(ISDysfunctionsPackage.eNS_URI);
        ISRecommendationsPackage theSRecommendationsPackage = (ISRecommendationsPackage)EPackage.Registry.INSTANCE.getEPackage(ISRecommendationsPackage.eNS_URI);

        // Create type parameters

        // Set bounds for type parameters

        // Add supertypes to classes
        sfmeaEClass.getESuperTypes().add(theESFCorePackage.getAbstractSSafetyAnalysis());
        abstractSFMEAElementEClass.getESuperTypes().add(theESFCorePackage.getAbstractSSafetyConcept());
        sBlockFMEAEClass.getESuperTypes().add(this.getAbstractSFMEAElement());
        sFailureModeFMEAEClass.getESuperTypes().add(this.getAbstractSFMEAElement());
        sPreventiveActionFMEAEClass.getESuperTypes().add(this.getAbstractSFMEAElement());
        sCauseFMEAEClass.getESuperTypes().add(this.getAbstractSFMEAElement());
        sSytemEffectFMEAEClass.getESuperTypes().add(this.getAbstractSEventEffectFMEA());
        abstractSEventEffectFMEAEClass.getESuperTypes().add(this.getAbstractSFMEAElement());
        sCustomerEffectFMEAEClass.getESuperTypes().add(this.getAbstractSEventEffectFMEA());
        sLocalEffectFMEAEClass.getESuperTypes().add(this.getAbstractSEventEffectFMEA());

        // Initialize classes, features, and operations; add parameters
        initEClass(sfmeaEClass, ISFMEA.class, "SFMEA", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
        initEReference(getSFMEA_Base_Package(), theUMLPackage.getPackage(), null, "base_Package", null, 1, 1, ISFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

        initEClass(abstractSFMEAElementEClass, IAbstractSFMEAElement.class, "AbstractSFMEAElement", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

        initEClass(sBlockFMEAEClass, ISBlockFMEA.class, "SBlockFMEA", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
        initEReference(getSBlockFMEA_SBlock(), theESFArchitectureConceptsPackage.getSBlock(), null, "sBlock", null, 1, 1, ISBlockFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSBlockFMEA_Criticality(), theESFPropertiesPackage.getSCriticality(), null, "criticality", null, 1, 1, ISBlockFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEAttribute(getSBlockFMEA_DiagnosticCoverage(), theTypesPackage.getReal(), "diagnosticCoverage", null, 1, 1, ISBlockFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEAttribute(getSBlockFMEA_Ssf(), theTypesPackage.getReal(), "ssf", null, 1, 1, ISBlockFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSBlockFMEA_SFailureModeFMEA(), this.getSFailureModeFMEA(), null, "sFailureModeFMEA", null, 0, -1, ISBlockFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSBlockFMEA_Base_Class(), theUMLPackage.getClass_(), null, "base_Class", null, 1, 1, ISBlockFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

        initEClass(sFailureModeFMEAEClass, ISFailureModeFMEA.class, "SFailureModeFMEA", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
        initEReference(getSFailureModeFMEA_SFailureMode(), theSDysfunctionsPackage.getSFailureMode(), null, "sFailureMode", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEAttribute(getSFailureModeFMEA_Remarks(), theTypesPackage.getString(), "remarks", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_Severity(), theESFPropertiesPackage.getSSeverity(), null, "severity", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_InitialCriticality(), theESFPropertiesPackage.getSCriticality(), null, "initialCriticality", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_FinalCriticality(), theESFPropertiesPackage.getSCriticality(), null, "finalCriticality", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEAttribute(getSFailureModeFMEA_IsSafe(), theTypesPackage.getBoolean(), "isSafe", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEAttribute(getSFailureModeFMEA_Diagnostics(), theTypesPackage.getString(), "diagnostics", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEAttribute(getSFailureModeFMEA_FailureRate(), theTypesPackage.getReal(), "failureRate", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_InitialCauseOccurence(), theESFPropertiesPackage.getSOccurence(), null, "initialCauseOccurence", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_FinalCauseOccurence(), theESFPropertiesPackage.getSOccurence(), null, "finalCauseOccurence", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_LocalEffectSeverity(), theESFPropertiesPackage.getSSeverity(), null, "localEffectSeverity", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_SystemEffectSeverity(), theESFPropertiesPackage.getSSeverity(), null, "systemEffectSeverity", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_CustomerEffectSeverity(), theESFPropertiesPackage.getSSeverity(), null, "customerEffectSeverity", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEAttribute(getSFailureModeFMEA_Diagnostic_coverage(), theTypesPackage.getReal(), "diagnostic_coverage", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEAttribute(getSFailureModeFMEA_Ssf(), theTypesPackage.getReal(), "ssf", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEAttribute(getSFailureModeFMEA_IsDetectable(), theTypesPackage.getBoolean(), "isDetectable", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_Detectability(), theESFPropertiesPackage.getSDetectability(), null, "detectability", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_SPreventiveActionFMEA(), this.getSPreventiveActionFMEA(), null, "sPreventiveActionFMEA", null, 0, -1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_SCauseFMEA(), this.getSCauseFMEA(), null, "sCauseFMEA", null, 0, -1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_SSystemEffectFMEA(), this.getSSytemEffectFMEA(), null, "sSystemEffectFMEA", null, 0, -1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_SCustomerEffectFMEA(), this.getSCustomerEffectFMEA(), null, "sCustomerEffectFMEA", null, 0, -1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_SLocalEffectFMEA(), this.getSLocalEffectFMEA(), null, "sLocalEffectFMEA", null, 0, -1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSFailureModeFMEA_Base_Property(), theUMLPackage.getProperty(), null, "base_Property", null, 1, 1, ISFailureModeFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

        initEClass(sPreventiveActionFMEAEClass, ISPreventiveActionFMEA.class, "SPreventiveActionFMEA", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
        initEReference(getSPreventiveActionFMEA_SAction(), theSRecommendationsPackage.getSAction(), null, "sAction", null, 1, 1, ISPreventiveActionFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEAttribute(getSPreventiveActionFMEA_Id(), theTypesPackage.getString(), "id", null, 1, 1, ISPreventiveActionFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSPreventiveActionFMEA_Base_Property(), theUMLPackage.getProperty(), null, "base_Property", null, 1, 1, ISPreventiveActionFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

        initEClass(sCauseFMEAEClass, ISCauseFMEA.class, "SCauseFMEA", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
        initEReference(getSCauseFMEA_SCause(), theSDysfunctionsPackage.getSCause(), null, "sCause", null, 1, 1, ISCauseFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEAttribute(getSCauseFMEA_Id(), theTypesPackage.getString(), "id", null, 1, 1, ISCauseFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSCauseFMEA_InitialOccurence(), theESFPropertiesPackage.getSOccurence(), null, "initialOccurence", null, 1, 1, ISCauseFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSCauseFMEA_FinalOccurence(), theESFPropertiesPackage.getSOccurence(), null, "finalOccurence", null, 1, 1, ISCauseFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getSCauseFMEA_Base_Property(), theUMLPackage.getProperty(), null, "base_Property", null, 1, 1, ISCauseFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

        initEClass(sSytemEffectFMEAEClass, ISSytemEffectFMEA.class, "SSytemEffectFMEA", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
        initEReference(getSSytemEffectFMEA_Base_Property(), theUMLPackage.getProperty(), null, "base_Property", null, 1, 1, ISSytemEffectFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

        initEClass(abstractSEventEffectFMEAEClass, IAbstractSEventEffectFMEA.class, "AbstractSEventEffectFMEA", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
        initEReference(getAbstractSEventEffectFMEA_SEffect(), theSDysfunctionsPackage.getSEffect(), null, "sEffect", null, 1, 1, IAbstractSEventEffectFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEAttribute(getAbstractSEventEffectFMEA_Id(), theTypesPackage.getString(), "id", null, 1, 1, IAbstractSEventEffectFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);
        initEReference(getAbstractSEventEffectFMEA_Severity(), theESFPropertiesPackage.getSSeverity(), null, "severity", null, 1, 1, IAbstractSEventEffectFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

        initEClass(sCustomerEffectFMEAEClass, ISCustomerEffectFMEA.class, "SCustomerEffectFMEA", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
        initEReference(getSCustomerEffectFMEA_Base_Property(), theUMLPackage.getProperty(), null, "base_Property", null, 1, 1, ISCustomerEffectFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

        initEClass(sLocalEffectFMEAEClass, ISLocalEffectFMEA.class, "SLocalEffectFMEA", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
        initEReference(getSLocalEffectFMEA_Base_Property(), theUMLPackage.getProperty(), null, "base_Property", null, 1, 1, ISLocalEffectFMEA.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, !IS_ORDERED);

        // Create resource
        createResource(eNS_URI);

        // Create annotations
        // http://www.eclipse.org/uml2/2.0.0/UML
        createUMLAnnotations();
    }

    /**
     * Initializes the annotations for <b>http://www.eclipse.org/uml2/2.0.0/UML</b>.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected void createUMLAnnotations() {
        String source = "http://www.eclipse.org/uml2/2.0.0/UML";	
        addAnnotation
          (this, 
           source, 
           new String[] {
             "originalName", "ESFFMEA"
           });
    }

} //ESFFMEAPackage
